map File Reference

Go to the source code of this file.

## Namespaces

namespace | std

## Macros

#define | _GLIBCXX_EXPERIMENTAL_MAP

## Typedefs

template<typename _Key , typename _Tp , typename _Compare = less<_Key>>
using | std::experimental::fundamentals_v2::pmr::map = std::map< _Key, _Tp, _Compare, polymorphic_allocator< pair< const _Key, _Tp > > >
template<typename _Key , typename _Tp , typename _Compare = less<_Key>>
using | std::experimental::fundamentals_v2::pmr::multimap = std::multimap< _Key, _Tp, _Compare, polymorphic_allocator< pair< const _Key, _Tp > > >

## Functions

template<typename _Key , typename _Tp , typename _Compare , typename _Alloc , typename _Predicate >
void | std::experimental::erase_if (map< _Key, _Tp, _Compare, _Alloc > &__cont, _Predicate __pred)
template<typename _Key , typename _Tp , typename _Compare , typename _Alloc , typename _Predicate >
void | std::experimental::erase_if (multimap< _Key, _Tp, _Compare, _Alloc > &__cont, _Predicate __pred)

## Detailed Description

This is a TS C++ Library header.

Definition in file experimental/map.

## Macro Definition Documentation

## _GLIBCXX_EXPERIMENTAL_MAP

#define _GLIBCXX_EXPERIMENTAL_MAP

Definition at line 30 of file experimental/map.

## Typedef Documentation

## map

template<typename _Key , typename _Tp , typename _Compare = less<_Key>>

using std::experimental::fundamentals_v2::pmr::map = typedef std::map<_Key, _Tp, _Compare, polymorphic_allocator<pair<const _Key, _Tp> >>

Definition at line 62 of file experimental/map.

## multimap

template<typename _Key , typename _Tp , typename _Compare = less<_Key>>

using std::experimental::fundamentals_v2::pmr::multimap = typedef std::multimap<_Key, _Tp, _Compare, polymorphic_allocator<pair<const _Key, _Tp> >>

Definition at line 67 of file experimental/map.

## Function Documentation

## erase_if() [1/2]

template<typename _Key , typename _Tp , typename _Compare , typename _Alloc , typename _Predicate >

void std::experimental::fundamentals_v2::erase_if | ( | map< _Key, _Tp, _Compare, _Alloc > & | __cont,
|  | _Predicate | __pred
| ) |  |

inline

Definition at line 51 of file experimental/map.

## erase_if() [2/2]

template<typename _Key , typename _Tp , typename _Compare , typename _Alloc , typename _Predicate >

void std::experimental::fundamentals_v2::erase_if | ( | multimap< _Key, _Tp, _Compare, _Alloc > & | __cont,
|  | _Predicate | __pred
| ) |  |

inline

Definition at line 57 of file experimental/map.